cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral

## Class RQP_I04

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.RQP_I04

-     public final class RQP_I04
      extends Message

  RQP_I04 - Request For Patient Demographic Data (Event I04). This message is use for a request, from one healthcare provider to another for patient demographic information, including insurance and billing information. Typically, this transaction will occur between one provider to another, but it can also be directed to a payor.

  Represents a RQP_I04 message structure (see chapter 11.3.4). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: PROVIDER (a Group in RQP_I04 mesage) MULTIPLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: NK1 (Next of Kin / Associated Parties Segment) MULTIPLE_OPTIONAL
  6: GT1 (Guarantor Segment) MULTIPLE_OPTIONAL
  7: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  RQP_I04 objI04 = (RQP_I04)MessageFactory.createInstance().createSendSupportedMessage("RQP", "I04");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGuarantorSegment(GT1 objGT1)` Adds Guarantor (global across all FT1s)(GT1 ) to this message.
    `void` | `addGuarantorSegments(ISingleCollection<GT1> objGT1SegmentCollection)` Adds collection of Guarantor (global across all FT1s)(GT1) to this message.
    `void` | `addNextOfKinSegment(NK1 objNK1)` Adds Next of Kin/Associated Parties(NK1) to this message.
    `void` | `addNextOfKinSegments(ISingleCollection<NK1> objSegments)` Adds collection of Next of Kin/Associated Parties(NK1) to this message.
    `void` | `addNotesAndCommentsSegment(NTE objNTE)` Adds Notes and Comments Segment(NTE) to this message.
    `void` | `addNotesAndCommentsSegments(ISingleCollection<NTE> objNTESegmentCollection)` Adds collection of Notes and Comments Segment(NTE) to this message.
    `void` | `addProviderGroup(IGroup objGroup)` Adds Provider GROUP to this message.
    `void` | `addProviderGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of PROVIDER GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ISingleCollection<GT1>` | `getGuarantorSegments()` Retrieves Collection of Guarantor (global across all FT1s)(GT1) present in this message.
    `ISingleCollection<NK1>` | `getNextOfKinSegments()` Retrieves Collection of Next of Kin/Associated Parties(NK1) present in this message.
    `ISingleCollection<NTE>` | `getNotesAndCommentsSegments()` Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
    `PID` | `getPatientIdentificationSegment()` Retrieves Patient Identification(PID) segment present in this message.
    `ISingleCollection<IGroup>` | `getProviderGroups()` Retrieves Collection of PROVIDER GROUP present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setPatientIdentificationSegment(PID objPID)` Sets value of PID segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getProviderGroups

          public ISingleCollection<IGroup> getProviderGroups()

      Retrieves Collection of PROVIDER GROUP present in this message.
      Returns:
        ISingleCollection - Collection of PROVIDER Group present

    - #### addProviderGroups

          public void addProviderGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of PROVIDER GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified PROVIDER GROUP Collection.

    - #### addProviderGroup

          public void addProviderGroup(IGroup objGroup)

      Adds Provider GROUP to this message.
      Parameters:
        `objGroup` - Specified Provider GROUP.

    - #### getPatientIdentificationSegment

          public PID getPatientIdentificationSegment()

      Retrieves Patient Identification(PID) segment present in this message.
      Returns:
        PID - the Patient Identification Segment present in this message or null if unavailable.

    - #### setPatientIdentificationSegment

          public void setPatientIdentificationSegment(PID objPID)

      Sets value of PID segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified PID Segment

    - #### addNextOfKinSegment

          public void addNextOfKinSegment(NK1 objNK1)

      Adds Next of Kin/Associated Parties(NK1) to this message.
      Parameters:
        `objNK1` - Specified Next of Kin/Associated Parties(NK1)

    - #### addNextOfKinSegments

          public void addNextOfKinSegments(ISingleCollection<NK1> objSegments)

      Adds collection of Next of Kin/Associated Parties(NK1) to this message.
      Parameters:
        `objSegments` - Collection of Next of Kin/Associated Parties(NK1)

    - #### getNextOfKinSegments

          public ISingleCollection<NK1> getNextOfKinSegments()

      Retrieves Collection of Next of Kin/Associated Parties(NK1) present in this message.
      Returns:
        ISingleCollection - Collection of Next of Kin/Associated Parties(NK1)

    - #### addGuarantorSegment

          public void addGuarantorSegment(GT1 objGT1)

      Adds Guarantor (global across all FT1s)(GT1 ) to this message.
      Parameters:
        `objGT1` - Specified Guarantor(GT1) Segment.

    - #### addGuarantorSegments

          public void addGuarantorSegments(ISingleCollection<GT1> objGT1SegmentCollection)

      Adds collection of Guarantor (global across all FT1s)(GT1) to this message.
      Parameters:
        `objGT1SegmentCollection` - Collection of Diagnosis(GT1)

    - #### getGuarantorSegments

          public ISingleCollection<GT1> getGuarantorSegments()

      Retrieves Collection of Guarantor (global across all FT1s)(GT1) present in this message.
      Returns:
        ISingleCollection - Collection of Diagnosis(GT1)

    - #### getNotesAndCommentsSegments

          public ISingleCollection<NTE> getNotesAndCommentsSegments()

      Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
      Returns:
        ISingleCollection - Collection of Notes and Comments Segments(NTE) present in this message.

    - #### addNotesAndCommentsSegment

          public void addNotesAndCommentsSegment(NTE objNTE)

      Adds Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTE` - Specified Notes and Comments Segment(NTE)to this message.

    - #### addNotesAndCommentsSegments

          public void addNotesAndCommentsSegments(ISingleCollection<NTE> objNTESegmentCollection)

      Adds collection of Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTESegmentCollection` - Collection of Notes and Comments Segments to add in this message